Bug 100497 - [PATCH] add include to support EFL-related ports
Summary: [PATCH] add include to support EFL-related ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-07-18 22:20 UTC by Stanislav Sedov
Modified: 2007-03-24 15:56 UTC (History)
1 user (show)

See Also:


Attachments
Mk.diff (5.66 KB, patch)
2006-07-18 22:20 UTC, Stanislav Sedov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Sedov 2006-07-18 22:20:01 UTC
	Add include for simplify creation of enlightenment-related ports
	like entice, enlightenment-devel, elicit, ruby-edje etc.

	Currently it handles shared libraries dependencies and CONFIGURE_ENV,
	I'll add additional features later as needed.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2006-07-18 23:20:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Looks like this needs a regression run on pointyhat.
Comment 2 Stanislav Sedov 2006-07-25 07:49:25 UTC
I have added "smart" esmart support in this include recently.
Now port can test availability of certain esmart objects
and easily depends on them.
The latest version is available on
http://mbsd.msk.ru/dist/bsd.efl.mk.

It also requires
.if defined(USE_EFL) || defined(WANT_EFL) || defined(USE_EFL_ESMART)
instead of
.if defined(USE_EFL) || defined(WANT_EFL)
in bsd.port.mk. The patch is included:
---------------------------------------------------------------------
--- Mk.orig/bsd.port.mk	Wed Jul 19 01:05:12 2006
+++ Mk/bsd.port.mk	Tue Jul 25 09:57:30 2006
@@ -403,6 +403,9 @@
 # USE_SCONS - If set, this port uses the Python-based SCons build
system
 #				  See bsd.scons.mk for more details.
 ##
+# USE_EFL		- If set, this port use EFL libraries.
+#				  Implies inclusion of bsd.efl.mk.
(Also see
+#				  that file for more information on
USE_EFL_*).
 # USE_JAVA		- If set, this port relies on the Java
language.
 #				  Implies inclusion of bsd.java.mk.
(Also see
 #				  that file for more information on
USE_JAVA_*).
@@ -1386,6 +1389,10 @@
 .include "${PORTSDIR}/Mk/bsd.python.mk"
 .endif
 
+.if defined(USE_EFL) || defined(WANT_EFL) || defined(USE_EFL_ESMART)
+.include "${PORTSDIR}/Mk/bsd.efl.mk"
+.endif
+
 .if defined(USE_JAVA)
 .include "${PORTSDIR}/Mk/bsd.java.mk"
 .endif
@@ -1852,6 +1859,10 @@
 
 .if defined(WANT_GSTREAMER) || defined(USE_GSTREAMER) ||
defined(USE_GSTREAMER80)
 .include "${PORTSDIR}/Mk/bsd.gstreamer.mk"
+.endif
+
+.if defined(USE_EFL) || defined(WANT_EFL) || defined(USE_EFL_ESMART)
+.include "${PORTSDIR}/Mk/bsd.efl.mk"
 .endif
 
 .if defined(USE_JAVA)
---------------------------------------------------------------------
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2006-08-28 05:45:04 UTC
State Changed
From-To: open->analyzed

Accepted for testing on the cluster.
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2006-09-15 08:40:37 UTC
State Changed
From-To: analyzed->open

Due to linimon screwup, this was not correctly tested on the cluster.  This 
will have to wait until after 6.2 now. 

Submitter should note that without the patches to the various efl-related 
ports, testing these patches might not have showed much difference in any case.
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2006-09-15 08:42:00 UTC
State Changed
From-To: open->feedback

Note that submitter was asked for feedback.
Comment 6 Stanislav Sedov freebsd_committer 2007-01-02 23:07:47 UTC
These ports already uses it. Only the move to Mk is required.

audio/emphasis/Makefile
deskutils/estickies/Makefile
devel/engrave/Makefile
devel/evfs/Makefile
devel/ruby-ecore/Makefile
graphics/edje/Makefile
graphics/edje_viewer/Makefile
graphics/entice/Makefile
graphics/epsilon/Makefile
graphics/esmart/Makefile
graphics/evas/Makefile
graphics/exhibit/Makefile
graphics/imlib2_loaders/Makefile
graphics/ruby-edje/Makefile
graphics/ruby-esmart/Makefile
graphics/ruby-evas/Makefile
multimedia/eclair/Makefile
multimedia/emotion/Makefile
sysutils/empower/Makefile
sysutils/extrackt/Makefile
textproc/exml/Makefile
x11-fm/entropyfm/Makefile
x11-toolkits/enhance/Makefile
x11-toolkits/etk/Makefile
x11-toolkits/ewl/Makefile
x11-wm/e17-utils/Makefile
x11-wm/enlightenment-devel/Makefile
x11/e17-module-calendar/Makefile
x11/e17-module-cpu/Makefile
x11/e17-module-deskshow/Makefile
x11/e17-module-devian/Makefile
x11/e17-module-eveil/Makefile
x11/e17-module-flame/Makefile
x11/e17-module-language/Makefile
x11/e17-module-mail/Makefile
x11/e17-module-mem/Makefile
x11/e17-module-mixer/Makefile
x11/e17-module-moon/Makefile
x11/e17-module-rain/Makefile
x11/e17-module-screenshot/Makefile
x11/e17-module-slideshow/Makefile
x11/e17-module-snow/Makefile
x11/e17-module-uptime/Makefile
x11/e17-module-weather/Makefile
x11/e17-module-winselector/Makefile
x11/ecore/Makefile
x11/elicit/Makefile
x11/enity/Makefile
x11/enterminus/Makefile
x11/examine/Makefile

--
Stanislav Sedov
Against HTML mail and Flash
PGP: http://people.FreeBSD.org/~stas/stas.key.asc
Comment 7 Pav Lucistnik freebsd_committer 2007-02-05 23:12:29 UTC
State Changed
From-To: feedback->open

Feedback received
Comment 8 Pav Lucistnik freebsd_committer 2007-03-17 23:47:41 UTC
State Changed
From-To: open->analyzed

This patch is being tested in exprun
Comment 9 dfilter service freebsd_committer 2007-03-24 14:02:13 UTC
pav         2007-03-24 14:02:06 UTC

  FreeBSD ports repository

  Modified files:
    .                    CHANGES 
    Mk                   bsd.autotools.mk bsd.port.mk 
                         bsd.port.subdir.mk 
  Added files:
    Mk                   bsd.efl.mk 
  Log:
  [1] Introduce COPYTREE_BIN and COPYTREE_SHARE macros
  [2] Fix ECHO_CMD/ECHO_MSG usage in bsd.port.mk
  [3] Move bsd.efl.mk to ports/Mk
  [4] Change LIBTOOLFILES default to ${CONFIGURE_SCRIPT}
  [5] Whitespace sweep
  [6] Add WWWDIR variable with default value of ${PREFIX}/www/${PORTNAME}
  
  PR:             ports/100996 [1], ports/100556 [2], ports/100497 [3],
                  ports/104009 and ports/104018 [5], ports/105529 [6]
  Submitted by:   stass [1] [3], gabor [2], pav [4], edwin [5], laszlof [6]
  Approved by:    ade [4]
  
  Revision  Changes    Path
  1.67      +22 -1     ports/CHANGES
  1.26      +4 -3      ports/Mk/bsd.autotools.mk
  1.1       +307 -0    ports/Mk/bsd.efl.mk (new)
  1.557     +99 -61    ports/Mk/bsd.port.mk
  1.69      +17 -14    ports/Mk/bsd.port.subdir.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 dfilter service freebsd_committer 2007-03-24 14:04:03 UTC
pav         2007-03-24 14:03:59 UTC

  FreeBSD ports repository

  Modified files:
    audio/emphasis       Makefile 
    deskutils/estickies  Makefile 
    devel/engrave        Makefile 
    devel/evfs           Makefile 
    devel/ruby-ecore     Makefile 
    graphics/edje        Makefile 
    graphics/edje_viewer Makefile 
    graphics/entice      Makefile 
    graphics/epsilon     Makefile 
    graphics/esmart      Makefile 
    graphics/evas        Makefile 
    graphics/exhibit     Makefile 
    graphics/imlib2_loaders Makefile 
    graphics/ruby-edje   Makefile 
    graphics/ruby-esmart Makefile 
    graphics/ruby-evas   Makefile 
    multimedia/eclair    Makefile 
    multimedia/emotion   Makefile 
    sysutils/empower     Makefile 
    sysutils/extrackt    Makefile 
    textproc/exml        Makefile 
    x11/e17-module-calendar Makefile 
    x11/e17-module-cpu   Makefile 
    x11/e17-module-deskshow Makefile 
    x11/e17-module-devian Makefile 
    x11/e17-module-eveil Makefile 
    x11/e17-module-flame Makefile 
    x11/e17-module-language Makefile 
    x11/e17-module-mail  Makefile 
    x11/e17-module-mem   Makefile 
    x11/e17-module-mixer Makefile 
    x11/e17-module-moon  Makefile 
    x11/e17-module-rain  Makefile 
    x11/e17-module-screenshot Makefile 
    x11/e17-module-slideshow Makefile 
    x11/e17-module-snow  Makefile 
    x11/e17-module-uptime Makefile 
    x11/e17-module-weather Makefile 
    x11/e17-module-winselector Makefile 
    x11/ecore            Makefile 
    x11/elicit           Makefile 
    x11/enity            Makefile 
    x11/enterminus       Makefile 
    x11/examine          Makefile 
    x11-fm/entropyfm     Makefile 
    x11-toolkits/enhance Makefile 
    x11-toolkits/etk     Makefile 
    x11-toolkits/ewl     Makefile 
    x11-wm/e17-utils     Makefile 
    x11-wm/enlightenment-devel Makefile 
  Log:
  - bsd.efl.mk is now in ports/Mk
  
  PR:             ports/100497
  Submitted by:   stass
  
  Revision  Changes    Path
  1.3       +1 -3      ports/audio/emphasis/Makefile
  1.3       +1 -3      ports/deskutils/estickies/Makefile
  1.4       +1 -3      ports/devel/engrave/Makefile
  1.4       +0 -1      ports/devel/evfs/Makefile
  1.5       +0 -1      ports/devel/ruby-ecore/Makefile
  1.25      +0 -1      ports/graphics/edje/Makefile
  1.3       +1 -3      ports/graphics/edje_viewer/Makefile
  1.22      +0 -1      ports/graphics/entice/Makefile
  1.13      +0 -1      ports/graphics/epsilon/Makefile
  1.12      +1 -3      ports/graphics/esmart/Makefile
  1.45      +0 -1      ports/graphics/evas/Makefile
  1.3       +0 -4      ports/graphics/exhibit/Makefile
  1.27      +0 -1      ports/graphics/imlib2_loaders/Makefile
  1.3       +0 -1      ports/graphics/ruby-edje/Makefile
  1.3       +0 -1      ports/graphics/ruby-esmart/Makefile
  1.9       +0 -1      ports/graphics/ruby-evas/Makefile
  1.4       +1 -3      ports/multimedia/eclair/Makefile
  1.7       +0 -1      ports/multimedia/emotion/Makefile
  1.3       +0 -4      ports/sysutils/empower/Makefile
  1.3       +1 -3      ports/sysutils/extrackt/Makefile
  1.4       +1 -3      ports/textproc/exml/Makefile
  1.3       +0 -1      ports/x11-fm/entropyfm/Makefile
  1.3       +1 -3      ports/x11-toolkits/enhance/Makefile
  1.3       +1 -3      ports/x11-toolkits/etk/Makefile
  1.13      +0 -4      ports/x11-toolkits/ewl/Makefile
  1.4       +1 -3      ports/x11-wm/e17-utils/Makefile
  1.112     +0 -1      ports/x11-wm/enlightenment-devel/Makefile
  1.5       +1 -4      ports/x11/e17-module-calendar/Makefile
  1.5       +1 -3      ports/x11/e17-module-cpu/Makefile
  1.6       +1 -3      ports/x11/e17-module-deskshow/Makefile
  1.6       +1 -3      ports/x11/e17-module-devian/Makefile
  1.4       +1 -3      ports/x11/e17-module-eveil/Makefile
  1.5       +1 -3      ports/x11/e17-module-flame/Makefile
  1.5       +1 -3      ports/x11/e17-module-language/Makefile
  1.5       +1 -3      ports/x11/e17-module-mail/Makefile
  1.6       +1 -3      ports/x11/e17-module-mem/Makefile
  1.3       +1 -3      ports/x11/e17-module-mixer/Makefile
  1.6       +1 -3      ports/x11/e17-module-moon/Makefile
  1.5       +1 -3      ports/x11/e17-module-rain/Makefile
  1.5       +0 -1      ports/x11/e17-module-screenshot/Makefile
  1.6       +1 -3      ports/x11/e17-module-slideshow/Makefile
  1.5       +1 -3      ports/x11/e17-module-snow/Makefile
  1.5       +1 -3      ports/x11/e17-module-uptime/Makefile
  1.6       +1 -3      ports/x11/e17-module-weather/Makefile
  1.3       +1 -3      ports/x11/e17-module-winselector/Makefile
  1.38      +0 -1      ports/x11/ecore/Makefile
  1.5       +0 -1      ports/x11/elicit/Makefile
  1.4       +0 -1      ports/x11/enity/Makefile
  1.3       +1 -3      ports/x11/enterminus/Makefile
  1.4       +1 -3      ports/x11/examine/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Pav Lucistnik freebsd_committer 2007-03-24 15:56:38 UTC
State Changed
From-To: analyzed->closed

Committed, thanks!